'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var React = require('react');
var utils = require('@dynamic-labs/utils');
var Typography = require('../Typography/Typography.cjs');
var Chip = require('../Chip/Chip.cjs');
var getGlobalWalletContext = require('../../shared/utils/functions/getGlobalWalletContext/getGlobalWalletContext.cjs');

const AppOriginTile = () => {
    const { requesterOrigin } = getGlobalWalletContext.getGlobalWalletContext();
    const origin = React.useMemo(() => {
        if (requesterOrigin) {
            return requesterOrigin;
        }
        return utils.PlatformService.getDisplayOrigin();
    }, [requesterOrigin]);
    if (!origin) {
        return null;
    }
    return (jsxRuntime.jsx(Chip.Chip, { className: 'app-origin-tile', children: jsxRuntime.jsx(Typography.Typography, { color: 'secondary', variant: 'body_normal', weight: 'regular', children: origin }) }));
};

exports.AppOriginTile = AppOriginTile;
