'use client'
import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { PlatformService } from '@dynamic-labs/utils';
import { Typography } from '../Typography/Typography.js';
import { Chip } from '../Chip/Chip.js';
import { getGlobalWalletContext } from '../../shared/utils/functions/getGlobalWalletContext/getGlobalWalletContext.js';

const AppOriginTile = () => {
    const { requesterOrigin } = getGlobalWalletContext();
    const origin = useMemo(() => {
        if (requesterOrigin) {
            return requesterOrigin;
        }
        return PlatformService.getDisplayOrigin();
    }, [requesterOrigin]);
    if (!origin) {
        return null;
    }
    return (jsx(Chip, { className: 'app-origin-tile', children: jsx(Typography, { color: 'secondary', variant: 'body_normal', weight: 'regular', children: origin }) }));
};

export { AppOriginTile };
