'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var dynamicEvents = require('../../../../../events/dynamicEvents.cjs');
var loadingAndLifecycle = require('../../../../../store/state/loadingAndLifecycle/loadingAndLifecycle.cjs');

/**
 * The max time the SDK will wait before unsetting the initial wallet verification flag.
 * If the corresponding walletAdded event is triggered before this timeout, the flag will be unset immediately.
 *
 * See justification for this in comments where it is being called.
 */
const UNSET_TIMEOUT = 5500;
const unsetInitialWalletVerificationFlag = () => {
    const resolve = () => {
        loadingAndLifecycle.setIsInitialWalletVerificationInProgress(false);
        clearTimeout(timeout);
        dynamicEvents.dynamicEvents.removeListener('walletAdded', resolve);
    };
    const timeout = setTimeout(resolve, UNSET_TIMEOUT);
    dynamicEvents.dynamicEvents.once('walletAdded', resolve);
};

exports.unsetInitialWalletVerificationFlag = unsetInitialWalletVerificationFlag;
