'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var ViewContext = require('../../../../context/ViewContext/ViewContext.cjs');
var hasPendingMfaAction = require('../../../../shared/utils/functions/hasPendingMfaAction/hasPendingMfaAction.cjs');
var user = require('../../../../store/state/user/user.cjs');
require('@dynamic-labs/utils');
require('../../../constants/values.cjs');
require('@dynamic-labs/sdk-api-core');
require('../../../../store/state/projectSettings/projectSettings.cjs');
var authViewLayoutChecks = require('../../../constants/authViewLayoutChecks.cjs');

const useAllowClose = () => {
    const { view } = ViewContext.useViewContext();
    const user$1 = user.useUserCoalesced();
    const isMfaPreventingClose = user$1 &&
        hasPendingMfaAction.hasPendingMfaAction(user$1) &&
        authViewLayoutChecks.mfaViewsThatPreventModalClose.includes(view.type);
    const allowsClosing = !isMfaPreventingClose && !authViewLayoutChecks.viewsThatPreventModalClose.includes(view.type);
    const showCloseButton = allowsClosing && !authViewLayoutChecks.viewsThatHideCloseButton.includes(view.type);
    return {
        /**
         * Whether user can close the current view
         */
        allowsClosing,
        /**
         * Whether the close button should be shown.
         * Even if the view allows closing, the close button may still be hidden.
         */
        showCloseButton,
    };
};

exports.useAllowClose = useAllowClose;
